# Uses of Interface
org.eclipse.birt.report.engine.api.IHTMLImageHandler

Packages that use IHTMLImageHandler
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IHTMLImageHandler in org.eclipse.birt.report.engine.api

Classes in org.eclipse.birt.report.engine.api that implement IHTMLImageHandler
Modifier and Type
Class
Description
`class`
`HTMLCompleteImageHandler`
Default implementation for writing images in a form that is compatible with a web browser's "HTML Complete" save option, i.e., writes images to a predefined folder.
`class`
`HTMLImageHandler`
`class`
`HTMLServerImageHandler`
Default implementation for writing images in a form that is used in a web-application.
Methods in org.eclipse.birt.report.engine.api that return IHTMLImageHandler
Modifier and Type
Method
Description
`IHTMLImageHandler`
IRenderOption.`getImageHandle()`
Deprecated.
`IHTMLImageHandler`
RenderOption.`getImageHandle()`
Deprecated.
`IHTMLImageHandler`
DataExtractionOption.`getImageHandler()`
`IHTMLImageHandler`
IDataExtractionOption.`getImageHandler()`
`IHTMLImageHandler`
IRenderOption.`getImageHandler()`
Get the image handler
`IHTMLImageHandler`
RenderOption.`getImageHandler()`
Methods in org.eclipse.birt.report.engine.api with parameters of type IHTMLImageHandler
Modifier and Type
Method
Description
`void`
IRenderOption.`setImageHandle(IHTMLImageHandler handler)`
Deprecated.
`void`
RenderOption.`setImageHandle(IHTMLImageHandler handler)`
Deprecated.
`void`
DataExtractionOption.`setImageHandler(IHTMLImageHandler imageHandler)`
`void`
IDataExtractionOption.`setImageHandler(IHTMLImageHandler imageHandler)`
`void`
IRenderOption.`setImageHandler(IHTMLImageHandler handler)`
Set the image handler
`void`
RenderOption.`setImageHandler(IHTMLImageHandler handler)`